package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseUpdateRequest;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * RoleResCheckRequest - 角色资源切换
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class RoleResCheckRequest extends BaseUpdateRequest {

    /**
     * 角色主键
     */
    @NotNull(message = "[roleId]资源主键不能为NULL")
    private Long roleId;

    /**
     * 角色代码
     */
    @NotBlank(message = "[roleCode]资源代码不能为NULL")
    private String roleCode;

    /**
     * 资源主键
     */
    @NotNull(message = "[resId]资源主键不能为NULL")
    private Long resId;

    /**
     * 资源代码
     */
    @NotBlank(message = "[resCode]资源代码不能为NULL")
    private String resCode;

    /**
     * 是否选中
     */
    @NotNull(message = "[checked]是否选中不能为NULL")
    private Boolean checked;

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public Long getResId() {
        return resId;
    }

    public void setResId(Long resId) {
        this.resId = resId;
    }

    public String getResCode() {
        return resCode;
    }

    public void setResCode(String resCode) {
        this.resCode = resCode;
    }

    public Boolean getChecked() {
        return checked;
    }

    public void setChecked(Boolean checked) {
        this.checked = checked;
    }
}

